Tag Parser: TagParser::MatroskaChapter Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
TagParser::MatroskaChapter Class Reference

The MatroskaChapter class provides an implementation of AbstractAttachment for Matroska files. More...

`#include <matroskachapter.h>`

Inheritance diagram for TagParser::MatroskaChapter:
[legend]
Collaboration diagram for TagParser::MatroskaChapter:
[legend]

## Public Member Functions
| MatroskaChapter (EbmlElement *chapterAtomElement)
| Constructs a new MatroskaChapter for the specified chapterAtomElement.
| ~MatroskaChapter () override
| Destroys the chapter.
MatroskaChapter * | nestedChapter (std::size_t index) override
| Returns the nested chapter with the specified index.
const MatroskaChapter * | nestedChapter (std::size_t index) const override
| Returns the nested chapter with the specified index.
std::size_t | nestedChapterCount () const override
| Returns the number of nested chapters.
void | clear () override
| Resets the object to its initial state.
Public Member Functions inherited from TagParser::AbstractChapter
virtual | ~AbstractChapter ()
| Destroys the chapter.
std::uint64_t | id () const
| Returns the chapter ID if known; otherwise returns zero.
const std::vector< LocaleAwareString > & | names () const
| Returns the chapter name.
CppUtilities::TimeSpan | startTime () const
| Returns the start time if known; otherwise returns a negative time span.
CppUtilities::TimeSpan | endTime () const
| Returns the end time if known; otherwise returns a negative time span.
const std::vector< std::uint64_t > & | tracks () const
| Returns a list of tracks on which the chapter applies.
bool | isHidden () const
| Returns whether the chapter is flagged as hidden.
bool | isEnabled () const
| Returns whether the chapter is flagged as enabled.
std::string | label () const
| Returns a label for the chapter.
void | parse (Diagnostics &diag, AbortableProgressFeedback &progress)
| Parses the chapter.
void | parseNested (Diagnostics &diag, AbortableProgressFeedback &progress)
| Parses the chapter and nested chapters recursively.

## Protected Member Functions
void | internalParse (Diagnostics &diag, AbortableProgressFeedback &progress) override
| Parses the "ChapterAtom"-element which has been specified when constructing the object.
Protected Member Functions inherited from TagParser::AbstractChapter
| AbstractChapter ()
| Constructs a new chapter.

## Additional Inherited Members
Protected Attributes inherited from TagParser::AbstractChapter
std::uint64_t | m_id
std::vector< LocaleAwareString > | m_names
CppUtilities::TimeSpan | m_startTime
CppUtilities::TimeSpan | m_endTime
std::vector< std::uint64_t > | m_tracks
std::unique_ptr< AbstractChapterPrivate > | m_p
bool | m_hidden
bool | m_enabled

## Detailed Description

The MatroskaChapter class provides an implementation of AbstractAttachment for Matroska files.

Definition at line 12 of file matroskachapter.h.

## Constructor & Destructor Documentation

## ◆ MatroskaChapter()

TagParser::MatroskaChapter::MatroskaChapter | ( | EbmlElement * | chapterAtomElement | ) |

Constructs a new MatroskaChapter for the specified chapterAtomElement.

Definition at line 24 of file matroskachapter.cpp.

## ◆ ~MatroskaChapter()

TagParser::MatroskaChapter::~MatroskaChapter | ( |  | ) |
| override

Destroys the chapter.

Definition at line 32 of file matroskachapter.cpp.

## Member Function Documentation

## ◆ clear()

void TagParser::MatroskaChapter::clear | ( |  | ) |
| overridevirtual

Resets the object to its initial state.

Reimplemented from TagParser::AbstractChapter.

Definition at line 133 of file matroskachapter.cpp.

## ◆ internalParse()

void TagParser::MatroskaChapter::internalParse | ( | Diagnostics & | diag,
|  | AbortableProgressFeedback & | progress )
| overrideprotectedvirtual

Parses the "ChapterAtom"-element which has been specified when constructing the object.

Remarks
  - Fetches nested chapters but does not parse them.
  - Clears all previous parsing results.

Implements TagParser::AbstractChapter.

Definition at line 42 of file matroskachapter.cpp.

## ◆ nestedChapter() [1/2]

const MatroskaChapter * TagParser::MatroskaChapter::nestedChapter | ( | std::size_t | index | ) | const
| inlineoverridevirtual

Returns the nested chapter with the specified index.

Reimplemented from TagParser::AbstractChapter.

Definition at line 35 of file matroskachapter.h.

## ◆ nestedChapter() [2/2]

MatroskaChapter * TagParser::MatroskaChapter::nestedChapter | ( | std::size_t | index | ) |
| inlineoverridevirtual

Returns the nested chapter with the specified index.

Reimplemented from TagParser::AbstractChapter.

Definition at line 30 of file matroskachapter.h.

## ◆ nestedChapterCount()

std::size_t TagParser::MatroskaChapter::nestedChapterCount | ( |  | ) | const
| inlineoverridevirtual

Returns the number of nested chapters.

Reimplemented from TagParser::AbstractChapter.

Definition at line 40 of file matroskachapter.h.

The documentation for this class was generated from the following files:

- matroska/matroskachapter.h
- matroska/matroskachapter.cpp